Package com.norconex.commons.lang.config.vlt

# Class CustomParseDirective

java.lang.Object
org.apache.velocity.runtime.directive.Directive
org.apache.velocity.runtime.directive.InputBase
org.apache.velocity.runtime.directive.Parse
com.norconex.commons.lang.config.vlt.CustomParseDirective

All Implemented Interfaces:
  `Cloneable`, `DirectiveConstants`

public class CustomParseDirective extends Parse

- ## Field Summary

  ### Fields inherited from class org.apache.velocity.runtime.directive.Parse

  `strictRef`

  ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

  `log, rsvc`

  ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

  `BLOCK, LINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomParseDirective()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `render(InternalContextAdapter context, Writer writer, Node node)`

  ### Methods inherited from class org.apache.velocity.runtime.directive.Parse

  `checkArgs, getName, getScopeName, getTemplate, getType, init`

  ### Methods inherited from class org.apache.velocity.runtime.directive.InputBase

  `getInputEncoding`

  ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

  `getColumn, getLine, getTemplate, getTemplateName, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomParseDirective

    public CustomParseDirective()

- ## Method Details

  - ### render

    public boolean render(InternalContextAdapter context, Writer writer, Node node) throws IOException, ResourceNotFoundException, ParseErrorException, MethodInvocationException
    Overrides:
      `render` in class `Parse`
    Throws:
      `IOException`
      `ResourceNotFoundException`
      `ParseErrorException`
      `MethodInvocationException`